%define module_name Test-Exec
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Return/MultiLevel.pm) perl(Test2/API.pm) perl(Test2/V0.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Test that some code calls exec without terminating testing
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Test::Exec

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Test::Exec manpage provides the most simple possible tools for testing code that might call `exec', which
would otherwise end your test by calling another program.  This code should detect and capture `exec'
calls, even if they are inside an `eval'.

The concept was implementation was based on the Test::Exit manpage, but applied to `exec' instead of `exit'.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README author.yml
%perl_vendor_privlib/T*

%changelog
* Tue Dec 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

